#!/bin/sh
set -ev

# Remove cronjob
rm -f /etc/periodic/15min/ushahidi

# Remove service
rm -f /etc/init.d/ushahidi
rc-update -u

# Drop database and user
[ ! -e /run/openrc/started/mariadb ] && service mariadb start && STOP_MARIADB=1
echo 'DROP DATABASE IF EXISTS ushahidi; DROP USER IF EXISTS ushahidi;' | lxc-attach mariadb -- mysql
[ ! -z ${STOP_MARIADB} ] && service mariadb stop

# Unregister application
vmmgr unregister-app ushahidi
